class Snowman {
 float xPos, yPos;
 float size;
 
 Snowman(float xPos, float yPos, float size) { // snowman constructor
   this.xPos = xPos;
   this.yPos = yPos;
   this.size = size;
 }
 
 void display() { // method that will draw the snowman
   noStroke();
   fill(255, 255, 255);
   ellipse(xPos, yPos, size, size); //lower body
   ellipse(xPos, yPos-size/2, size/2, size/2); // middle body
   ellipse(xPos, yPos-size/1.2, size/4, size/4); // top body
   fill(0);
   ellipse(xPos-size/15, yPos-size/1.2-size/15, size/30, size/30); // left eye
   ellipse(xPos+size/15, yPos-size/1.2-size/15, size/30, size/30); // right eye
   ellipse(xPos, yPos-size/20, size/30, size/30); // button 1
   ellipse(xPos, yPos-size/5, size/30, size/30); // button 2
   ellipse(xPos, yPos-size/2.75, size/30, size/30); // button 3
 }
}